# 4 Lights Consulting PHP APACHE Debian Continaer

Dockerhub: https://hub.docker.com/r/4lights/phpcontainer
Git Repo: https://git.4lt.ca/4lt/phpcontainer

This repository provides a production-ready Docker container for running PHP with Apache. 
It is optimized for [Novaconium Framework](https://git.4lt.ca/4lt/novaconium).

## Features

- **PHP Version**: 8.4.5
- **Apache Web Server**: Configured to run PHP applications
- **Support for**:
  - `remoteip` (reverse proxy)
  - `redis`
  - `mariadb`
- **Timezone**: Default set to Vancouver (`America/Vancouver`)

## Getting Started

Follow these steps to set up the PHP container on your local environment.

### Usage

#### Clone the Repository

```bash
git clone https://git.4lt.ca/4lt/phpcontainer.git
cd phpcontainer
docker build -t php-apache-container .
```
## How to update on dockerhub

```bash
sudo su
docker buildx build --no-cache -t 4lights/phpcontainer:6.0.0 -t 4lights/phpcontainer:latest --load .
docker login
docker push 4lights/phpcontainer:6.0.0
docker push 4lights/phpcontainer:latest
```

# References And Notes

Test using test.php
